Package org.pushingpixels.substance.swingx

# Class SubstanceMonthViewUI

java.lang.Object
javax.swing.plaf.ComponentUI
org.jdesktop.swingx.plaf.MonthViewUI
org.jdesktop.swingx.plaf.basic.BasicMonthViewUI
org.pushingpixels.substance.swingx.SubstanceMonthViewUI

All Implemented Interfaces:
  `org.pushingpixels.substance.internal.animation.TransitionAwareUI`

public class SubstanceMonthViewUI extends org.jdesktop.swingx.plaf.basic.BasicMonthViewUI implements org.pushingpixels.substance.internal.animation.TransitionAwareUI
Substance-consistent UI delegate for `JXMonthView`.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected class`
`SubstanceMonthViewUI.DayRepaintCallback`
Repaints a single day during the fade animation cycle.
`protected class`
`SubstanceMonthViewUI.MonthRepaintCallback`
Repaints a single month during the fade animation cycle.
`protected class`
`SubstanceMonthViewUI.SubstanceRenderingHandler`

## Nested classes/interfaces inherited from class org.jdesktop.swingx.plaf.basic.BasicMonthViewUI

`org.jdesktop.swingx.plaf.basic.BasicMonthViewUI.RenderingHandler`

## Field Summary

Fields
Modifier and Type
Field
Description
`protected org.pushingpixels.substance.swingx.SubstanceMonthViewUI.DateId`
`rolloverDateId`
`protected Set<org.pushingpixels.substance.swingx.SubstanceMonthViewUI.DateId>`
`selectedDates`
Holds the list of currently selected days.
`protected org.pushingpixels.substance.swingx.SubstanceMonthViewUI.DayRolloverFadeListener`
`substanceFadeRolloverListener`
Listener for transition animations on rollovers.
`protected org.jdesktop.swingx.event.DateSelectionListener`
`substanceFadeSelectionListener`
Listener for transition animations on day selections.

### Fields inherited from class org.jdesktop.swingx.plaf.basic.BasicMonthViewUI

`calendarGrid, DAY_HEADER_ROW, DAYS_IN_WEEK, FIRST_DAY_COLUMN, FIRST_WEEK_ROW, isLeftToRight, LAST_DAY_COLUMN, LAST_WEEK_ROW, MONTH_DOWN, MONTH_UP, monthDownImage, monthsOfTheYear, monthUpImage, monthView, WEEK_HEADER_COLUMN, WEEKS_IN_MONTH`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceMonthViewUI()`
Creates a new UI delegate.

## Method Summary

Modifier and Type
Method
Description
`protected org.jdesktop.swingx.plaf.basic.BasicMonthViewUI.RenderingHandler`
`createRenderingHandler()`
`static ComponentUI`
`createUI(JComponent comp)`
`org.pushingpixels.substance.internal.animation.StateTransitionTracker`
`getTransitionTracker()`
`protected void`
`installDefaults()`
`protected void`
`installDelegate()`
`protected void`
`installListeners()`
`boolean`
`isInside(MouseEvent me)`
`protected void`
`paintDayOfMonth(Graphics g, Rectangle bounds, Calendar calendar, org.jdesktop.swingx.plaf.basic.CalendarState state)`
`protected void`
`paintMonthHeader(Graphics g, Calendar calendar)`
`void`
`resetRolloverIndex()`
Resets the rollover index.
`protected void`
`uninstallDefaults()`
`protected void`
`uninstallListeners()`
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class org.jdesktop.swingx.plaf.basic.BasicMonthViewUI

`createCalendarHeaderHandler, createDerivedFont, createLayoutManager, createMouseListener, createMouseMotionListener, createPropertyChangeListener, getCalendar, getCalendar, getCalendarHeaderHandler, getDayAtLocation, getDayBounds, getDayBoundsAtLocation, getDayBoundsInMonth, getDayGridPosition, getDayGridPositionAtLocation, getDayInMonth, getDaySize, getDaysOfTheWeek, getFirstDisplayedDay, getFirstDisplayedMonth, getFirstDisplayedYear, getHeaderFromUIManager, getLastDisplayedDay, getMonth, getMonthAtLocation, getMonthBounds, getMonthBounds, getMonthBoundsAtLocation, getMonthDetailsBoundsAtLocation, getMonthGridPosition, getMonthGridPositionAtLocation, getMonthHeaderBounds, getMonthHeaderBoundsAtLocation, getMonthHeaderHeight, getMonthSize, getRenderingHandler, getSelection, getToday, getTraversableGridPositionAtLocation, getWeeks, installComponents, installKeyboardActions, installRenderingHandler, installUI, isToday, isUIInstallable, isUsingKeyboard, isZoomable, paint, paintBackground, paintDayHeader, paintDays, paintDaysOfWeekSeparator, paintMonth, paintWeekHeader, paintWeekOfYearSeparator, setCalendarHeaderHandler, setFirstDisplayedDay, setRenderingHandler, setUsingKeyboard, uninstallComponents, uninstallKeyboardActions, uninstallRenderingHandler, uninstallUI, updateComponentInputMap, updateLocale, updateZoomable`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### substanceFadeRolloverListener

protected org.pushingpixels.substance.swingx.SubstanceMonthViewUI.DayRolloverFadeListener substanceFadeRolloverListener
Listener for transition animations on rollovers.

### rolloverDateId

protected org.pushingpixels.substance.swingx.SubstanceMonthViewUI.DateId rolloverDateId

### selectedDates

protected Set<org.pushingpixels.substance.swingx.SubstanceMonthViewUI.DateId> selectedDates
Holds the list of currently selected days. Every entry is day:month:year

### substanceFadeSelectionListener

protected org.jdesktop.swingx.event.DateSelectionListener substanceFadeSelectionListener
Listener for transition animations on day selections.

## Constructor Details

### SubstanceMonthViewUI

public SubstanceMonthViewUI()
Creates a new UI delegate.

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### installDefaults

protected void installDefaults()

Overrides:
  `installDefaults` in class `org.jdesktop.swingx.plaf.basic.BasicMonthViewUI`

### installDelegate

protected void installDelegate()

Overrides:
  `installDelegate` in class `org.jdesktop.swingx.plaf.basic.BasicMonthViewUI`

### installListeners

protected void installListeners()

Overrides:
  `installListeners` in class `org.jdesktop.swingx.plaf.basic.BasicMonthViewUI`

### uninstallListeners

protected void uninstallListeners()

Overrides:
  `uninstallListeners` in class `org.jdesktop.swingx.plaf.basic.BasicMonthViewUI`

### uninstallDefaults

protected void uninstallDefaults()

Overrides:
  `uninstallDefaults` in class `org.jdesktop.swingx.plaf.basic.BasicMonthViewUI`

### isInside

public boolean isInside(MouseEvent me)

Specified by:
  `isInside` in interface `org.pushingpixels.substance.internal.animation.TransitionAwareUI`

### getTransitionTracker

public org.pushingpixels.substance.internal.animation.StateTransitionTracker getTransitionTracker()

Specified by:
  `getTransitionTracker` in interface `org.pushingpixels.substance.internal.animation.TransitionAwareUI`

### resetRolloverIndex

public void resetRolloverIndex()
Resets the rollover index.

### createRenderingHandler

protected org.jdesktop.swingx.plaf.basic.BasicMonthViewUI.RenderingHandler createRenderingHandler()

Overrides:
  `createRenderingHandler` in class `org.jdesktop.swingx.plaf.basic.BasicMonthViewUI`

### paintMonthHeader

protected void paintMonthHeader(Graphics g, Calendar calendar)

Overrides:
  `paintMonthHeader` in class `org.jdesktop.swingx.plaf.basic.BasicMonthViewUI`

### paintDayOfMonth

protected void paintDayOfMonth(Graphics g, Rectangle bounds, Calendar calendar, org.jdesktop.swingx.plaf.basic.CalendarState state)

Overrides:
  `paintDayOfMonth` in class `org.jdesktop.swingx.plaf.basic.BasicMonthViewUI`

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `org.jdesktop.swingx.plaf.basic.BasicMonthViewUI`